package models

import (
	"time"

	"github.com/google/uuid"
)

type Session struct {
	ID           uuid.UUID
	SessionToken string
	CsrfToken    string
	UserID       uuid.UUID
	CreatedAt    time.Time
	ExpiredAt    time.Time
}

type User struct {
	ID           uuid.UUID
	Username     string
	Login        string
	PasswordHash []byte
	CreatedAt    time.Time
	UpdatedAt    time.Time
}
